<template>
  <!-- DIALOG TO CONFIRM AGREEMENT -->
  <q-dialog
    v-model="agreement"
  >
    <q-card>
      <q-card-section class="row items-center">
        <q-avatar
          icon="warning"
          color="red"
          text-color="white"
        />
        <span class="q-ml-md"><b>I agree not to add any information in any input field<br>that could be used to identify a patient.</b></span>
      </q-card-section>

      <div
        style="width: 300px; margin-left: 50px"
      >
        <q-checkbox
          v-model="caseAgreementDontShow"
          label="Please do not display this warning again. I will always follow the agreement when adding new data."
        />
      </div>

      <q-card-actions align="right">
        <q-btn
          v-close-popup
          flat
          label="Cancel"
          @click="agreement=false"
        />
        <q-btn
          v-close-popup
          flat
          label="Agree"
          @click="acceptAgreement"
        />
      </q-card-actions>
    </q-card>
  </q-dialog>
</template>

<script>
export default {
  name: 'CaseAgreement',
  data: function () {
    return {
      agreement: false,
      caseAgreementDontShow: false
    }
  },
  methods: {
    acceptAgreement () {
      if (this.caseAgreementDontShow) {
        localStorage.setItem('casesAgreement', true)
      }
      this.$emit('accepted')
      this.agreement = false
    }
  }
}
</script>
